/* global it, describe */

// const assert = require('chai').assert

describe('matchproducts (autorun.matchproducts.sh)', function () {
  describe('save response', function () {
    describe('save response(response)', function () {
      it('should take a response object as input')
      it('should create a path using a prefix and sharded by timestamp')
      it('should create a filename using the requestId with the json extension')
      it('should create directory if it does not exist')
      it('should save the object as json')
      it('should return an error if not successful')
    })

    describe('generate path(prefix,timestamp)', function () {
      it('should take a prefix and timestamp as input')
      it('should create a path sharded by timestamp')
    })

    describe('generate filename(prefix,requestId)', function () {
      it('should take a prefix and requestId as input')
      it('should create a basename using the requestId')
      it('should create a pathname with the json extension')
    })

    describe('validate path', function () {
      it('should check that a path is valid')
    })
  })

  describe('matchresults.log', function () {
    it('should create the log if it does not exist')
    it('should have a header')
    it('should append the results to the log')
    it('should not append the header to the log')
  })

  describe('update_matchresults', function () {
    it('should create the matchresults file if it does not exist')
    it('should update the matchresults file')
  })

  describe('get matching products for barcodes', function () {
    it('should create a GetMatchingProductForId request')
  })
})
